## vapoursynth-dmo 73

=== meson_options.txt ===
option('enable_guard_pattern',
    type: 'boolean',
    value: false,
    description: 'Add 32 bytes on the left and the right sides of each frame, fills them with a certain value, and checks their integrity after each filter. It can be used to detect buggy filters that write a little outside the frame'
)

option('enable_x86_asm',
    type: 'boolean',
    value: true,
    description: 'Enable assembler code for x86 CPUs'
)

option('enable_vsscript',
    type: 'boolean',
    value: true,
    description: 'Build VSScript. Requires Python 3'
)

option('enable_vspipe',
    type: 'boolean',
    value: true,
    description: 'Build vspipe. Requires VSScript'
)

option('enable_python_module',
    type: 'boolean',
    value: true,
    description: 'Build the Python module. Requires Python and Cython'
)

option('plugindir',
    type: 'string',
    value: '$libdir/vapoursynth',
    description: 'The default value for the configuration option SystemPluginDir in vapoursynth.conf'
)

option('python3_bin',
    type: 'string',
    value: 'python3',
    description: 'Find a python installation matching python3_bin. It can be: a name "python-3.11", a path "/usr/local/bin/python3.11m", or just "python3"'
)

## vapoursynth-dmo 54

=== debian/changelog ===
vapoursynth-dmo (54-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Jul 2021 22:25:21 +0200

vapoursynth-dmo (53-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Apr 2021 01:12:04 +0200

vapoursynth-dmo (52-dmo3) unstable; urgency=medium

  * Build with libmagick++-7-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Feb 2021 15:19:48 +0100

vapoursynth-dmo (52-dmo2) unstable; urgency=medium

  * Build with python 3.9

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Nov 2020 16:35:31 +0100

vapoursynth-dmo (52-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Aug 2020 15:35:36 +0200

vapoursynth-dmo (51-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Aug 2020 00:41:50 +0200

vapoursynth-dmo (50-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 19:49:49 +0200

vapoursynth-dmo (49-dmo2) unstable; urgency=medium

  * Build with imagemagick 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 Mar 2020 18:09:40 +0200

vapoursynth-dmo (49-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Mar 2020 08:01:09 +0100

vapoursynth-dmo (48-dmo3) unstable; urgency=medium

  * Build with python 3.8

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Mar 2020 11:26:47 +0100

vapoursynth-dmo (48-dmo2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Jan 2020 17:29:57 +0100

vapoursynth-dmo (48-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2019 10:27:39 +0100

vapoursynth-dmo (47.2-dmo3) unstable; urgency=medium

  * Add Multi-Arch: same for vapoursynth-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2019 09:52:33 +0200

vapoursynth-dmo (47.2-dmo2) unstable; urgency=medium

  * vapoursynth-dev package should depends on libpython3.7-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Aug 2019 09:21:55 +0200

vapoursynth-dmo (47.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Aug 2019 01:30:54 +0200

vapoursynth-dmo (47.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Aug 2019 14:10:44 +0200

vapoursynth-dmo (46-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Jun 2019 23:43:29 +0200

vapoursynth-dmo (45.1-dmo4) unstable; urgency=medium

  * Fix Conflicts/Replaces

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 10 Apr 2019 18:26:39 +0200

vapoursynth-dmo (45.1-dmo3) unstable; urgency=medium

  * Move vspipe binary to vapoursynth package.
  * Should depends on vapoursynth-ffms2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 10 Apr 2019 17:04:10 +0200

vapoursynth-dmo (45.1-dmo2) unstable; urgency=medium

  * Rebuild for python 3.7

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Nov 2018 01:05:17 +0100

vapoursynth-dmo (45.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Oct 2018 00:39:51 +0200

vapoursynth-dmo (45-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Oct 2018 09:38:18 +0200

vapoursynth-dmo (44-dmo2) unstable; urgency=medium

  * Build with dh_sphinxdoc

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Jul 2018 17:33:06 +0200

vapoursynth-dmo (44-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Jul 2018 18:00:38 +0200

vapoursynth-dmo (43-dmo3) unstable; urgency=medium

  * Rename vapoursynth-docs to vapoursynth-doc

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Jun 2018 07:25:06 +0200

vapoursynth-dmo (43-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 17:18:12 +0200

vapoursynth-dmo (43-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 31 Jan 2018 23:45:08 +0100

vapoursynth-dmo (42.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jan 2018 01:34:10 +0100

vapoursynth-dmo (41-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jan 2018 22:04:08 +0100

vapoursynth-dmo (40-dmo2) unstable; urgency=medium

  * Rebuild against libtesseract4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Dec 2017 14:41:55 +0100

vapoursynth-dmo (40-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Nov 2017 23:07:12 +0100

vapoursynth-dmo (39-dmo2) unstable; urgency=medium

  * Rebuild for python 3.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Oct 2017 19:21:10 +0200

vapoursynth-dmo (39-dmo1) unstable; urgency=medium

  * New upstream release.
  * debian/control Replaces yasm by nasm in Builde-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Oct 2017 01:14:35 +0200

vapoursynth-dmo (38-dmo7) unstable; urgency=medium

  * Rebuild to fix an 'undefined symbol: PyFPE_jbuf' error.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Sep 2017 09:30:05 +0200



=== debian/control ===
Source: vapoursynth-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.vapoursynth.com/
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libass-dev,
 libavformat-dev, libavcodec-dev, libtesseract-dev, cython3, libleptonica-dev,
 python3-dev (>= 3.8~), libzimg-dev (>= 2.8~), python3-sphinx,
 libmagick++-7-dev (>= 8:7.0.10.62~)

Package: vapoursynth
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, vapoursynth-ffms2
Replaces: libvapoursynth3, vapoursynth-python3, libvapoursynth, libvapoursynth-script0, vapoursynth-dev (<< 38-dmo4), vspipe (<= 45.1-dmo2)
Conflicts: vapoursynth-python3, libvapoursynth, libvapoursynth-script0, vspipe (<= 45.1-dmo2)
Description: frameserver for the 21st century
 It's an application for video manipulation. Or a plugin. Or a library. 
 It's hard to tell because it has a core library written in C++ and a Python
 module to allow video scripts to be created. It came to be when I started
 thinking about alternative designs for Avisynth and most of it was written
 over a 3 month period. The software has been heavily inspired by Avisynth
 and aims to be a 21st century rewrite, taking advantage of the advancements
 computers have made since the late 90s. The main features compared to
 Avisynth are:
 .
  * Multithreaded - Frame level multithreading
  * Generalized Colorspaces - New Colorspaces can be specified at runtime
  * Per Frame Properties - Additional metadata can be attached to frames
  * Python Based - The scripting part is implemented as a Python module so
    you don't have to learn a special language
  * Support for video with format changes - Some video just can't stick to
    one format or frame size VapourSynth can handle any kind of change

Package: vapoursynth-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, vapoursynth (= ${binary:Version}), libzimg-dev, libpython3-dev, pkg-config
Description: frameserver for the 21st century - development files
 It's an application for video manipulation. Or a plugin. Or a library. 
 It's hard to tell because it has a core library written in C++ and a Python
 module to allow video scripts to be created. It came to be when I started
 thinking about alternative designs for Avisynth and most of it was written
 over a 3 month period. The software has been heavily inspired by Avisynth
 and aims to be a 21st century rewrite, taking advantage of the advancements
 computers have made since the late 90s. The main features compared to
 Avisynth are:
 .
  * Multithreaded - Frame level multithreading
  * Generalized Colorspaces - New Colorspaces can be specified at runtime
  * Per Frame Properties - Additional metadata can be attached to frames
  * Python Based - The scripting part is implemented as a Python module so
    you don't have to learn a special language
  * Support for video with format changes - Some video just can't stick to
    one format or frame size VapourSynth can handle any kind of change

Package: vapoursynth-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
## libjs-jquery, libjs-underscore
Replaces: vapoursynth-docs
Conflicts: vapoursynth-docs
Description: frameserver for the 21st century - documentation
 It's an application for video manipulation. Or a plugin. Or a library. 
 It's hard to tell because it has a core library written in C++ and a Python
 module to allow video scripts to be created. It came to be when I started
 thinking about alternative designs for Avisynth and most of it was written
 over a 3 month period. The software has been heavily inspired by Avisynth
 and aims to be a 21st century rewrite, taking advantage of the advancements
 computers have made since the late 90s. The main features compared to
 Avisynth are:
 .
  * Multithreaded - Frame level multithreading
  * Generalized Colorspaces - New Colorspaces can be specified at runtime
  * Per Frame Properties - Additional metadata can be attached to frames
  * Python Based - The scripting part is implemented as a Python module so
    you don't have to learn a special language
  * Support for video with format changes - Some video just can't stick to
    one format or frame size VapourSynth can handle any kind of change

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} -Bbuild --with sphinxdoc -Xjquery.js -Xunderscore.js -X.la

override_dh_auto_configure:
	dh_auto_configure

#	exit 1

override_dh_install:
	$(MAKE) -C doc man

	dh_install

override_dh_installdocs-indep:
	$(MAKE) -C doc html

	dh_installdocs -i

	mv debian/vapoursynth-doc/usr/share/doc/vapoursynth/* \
	debian/vapoursynth-doc/usr/share/doc/vapoursynth-doc/

	rmdir debian/vapoursynth-doc/usr/share/doc/vapoursynth

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean

	$(MAKE) -C doc distclean

	-rm -rf build

=== debian/watch ===
version=4

##opts=uversionmangle=s/-RC(.*)|-test(.*)//g \



https://github.com/vapoursynth/vapoursynth/releases \
(?:.*?/)?R?(\d[\d.]*)@ARCHIVE_EXT@

## vapoursynth-dmo 62

=== debian/changelog ===
vapoursynth-dmo (62-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Mar 2023 00:19:46 +0200

vapoursynth-dmo (61-dmo2) unstable; urgency=medium

  * Build with python 3.11

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jan 2023 08:05:21 +0100

vapoursynth-dmo (61-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 21 Nov 2022 00:17:59 +0100

vapoursynth-dmo (60-dmo2) unstable; urgency=medium

  * debian/control remove any from dh-sequence-sphinxdoc in Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Sep 2022 16:17:40 +0200

vapoursynth-dmo (60-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Sep 2022 23:42:37 +0200

vapoursynth-dmo (59-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Jun 2022 13:55:50 +0200

vapoursynth-dmo (58-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Apr 2022 00:19:06 +0200

vapoursynth-dmo (57-dmo2) unstable; urgency=medium

  * Build with python 3.10

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Mar 2022 01:53:08 +0200

vapoursynth-dmo (57-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Oct 2021 09:13:46 +0200

vapoursynth-dmo (56-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Sep 2021 16:06:21 +0200

vapoursynth-dmo (55-dmo2) unstable; urgency=medium

  * New upstream patch to fix build with powerpc.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 15:17:34 +0200

vapoursynth-dmo (55-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Sep 2021 18:50:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,11 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://www.vapoursynth.com/
+Homepage: https://www.vapoursynth.com/
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libass-dev,
- libavformat-dev, libavcodec-dev, libtesseract-dev, cython3, libleptonica-dev,
- python3-dev (>= 3.8~), libzimg-dev (>= 2.8~), python3-sphinx,
- libmagick++-7-dev (>= 8:7.0.10.62~)
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-sequence-sphinxdoc,
+ cython3, pkgconf, libzimg-dev (>= 2.8~), python3-dev, python3-sphinx-rtd-theme,
 
 Package: vapoursynth
 Architecture: any
@@ -37,7 +35,7 @@
 Package: vapoursynth-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, vapoursynth (= ${binary:Version}), libzimg-dev, libpython3-dev, pkg-config
+Depends: ${misc:Depends}, vapoursynth (= ${binary:Version}), libzimg-dev, libpython3-dev, pkgconf
 Description: frameserver for the 21st century - development files
  It's an application for video manipulation. Or a plugin. Or a library. 
  It's hard to tell because it has a core library written in C++ and a Python
@@ -61,7 +59,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-## libjs-jquery, libjs-underscore
 Replaces: vapoursynth-docs
 Conflicts: vapoursynth-docs
 Description: frameserver for the 21st century - documentation

=== debian/rules ===
#!/usr/bin/make -f

#ifneq (,$(filter-out armel powerpc,$(DEB_HOST_ARCH_CPU)))
	export DEB_LDFLAGS_MAINT_APPEND=-latomic
#endif

%:
	dh ${@} -Xjquery.js -Xunderscore.js -X.la --with sphinxdoc

override_dh_auto_build-indep:
	cd doc && sphinx-build -b html . _build/html
	cd doc && sphinx-build -b man . _build/man

	dh_sphinxdoc

execute_after_dh_installdocs-indep:
	mv debian/vapoursynth-doc/usr/share/doc/vapoursynth/* \
	debian/vapoursynth-doc/usr/share/doc/vapoursynth-doc/

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean

=== debian/watch ===
version=4

##opts=uversionmangle=s/-RC(.*)|-test(.*)//g \



https://github.com/vapoursynth/vapoursynth/tags \
(?:.*?/)?R?(\d[\d.]*)@ARCHIVE_EXT@

## vapoursynth-dmo 72

=== debian/changelog ===
vapoursynth-dmo (72-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Jun 2025 09:01:03 +0200

vapoursynth-dmo (71-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 08:42:20 +0200

vapoursynth-dmo (70-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Sep 2024 14:31:45 +0200

vapoursynth-dmo (68-dmo0~bpo12+2) stable-backports; urgency=medium

  * Rebuild with cython3 3.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 May 2024 09:38:39 +0200

vapoursynth-dmo (68-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 May 2024 14:09:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Homepage: https://www.vapoursynth.com/
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-sequence-sphinxdoc,
- cython3, pkgconf, libzimg-dev (>= 2.8~), python3-dev, python3-sphinx-rtd-theme,
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, cython3 (>= 3.0~),
+ pkgconf, libzimg-dev (>= 3.0.5~), python3-dev, dh-sequence-sphinxdoc,
+ python3-sphinx, python3-sphinx-rtd-theme,
 
 Package: vapoursynth
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, vapoursynth-ffms2
-Replaces: libvapoursynth3, vapoursynth-python3, libvapoursynth, libvapoursynth-script0, vapoursynth-dev (<< 38-dmo4), vspipe (<= 45.1-dmo2)
-Conflicts: vapoursynth-python3, libvapoursynth, libvapoursynth-script0, vspipe (<= 45.1-dmo2)
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, vapoursynth-ffms2,
+Replaces: libvapoursynth3, vapoursynth-python3, libvapoursynth, libvapoursynth-script0, vapoursynth-dev (<< 38-dmo4), vspipe (<= 45.1-dmo2),
+Conflicts: vapoursynth-python3, libvapoursynth, libvapoursynth-script0, vspipe (<= 45.1-dmo2),
 Description: frameserver for the 21st century
  It's an application for video manipulation. Or a plugin. Or a library. 
  It's hard to tell because it has a core library written in C++ and a Python
@@ -35,7 +36,7 @@
 Package: vapoursynth-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, vapoursynth (= ${binary:Version}), libzimg-dev, libpython3-dev, pkgconf
+Depends: ${misc:Depends}, vapoursynth (= ${binary:Version}), libzimg-dev, libpython3-dev, pkgconf,
 Description: frameserver for the 21st century - development files
  It's an application for video manipulation. Or a plugin. Or a library. 
  It's hard to tell because it has a core library written in C++ and a Python
@@ -58,9 +59,9 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Replaces: vapoursynth-docs
-Conflicts: vapoursynth-docs
+Depends: ${misc:Depends}, ${sphinxdoc:Depends},
+Replaces: vapoursynth-docs,
+Conflicts: vapoursynth-docs,
 Description: frameserver for the 21st century - documentation
  It's an application for video manipulation. Or a plugin. Or a library. 
  It's hard to tell because it has a core library written in C++ and a Python

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-latomic

%:
	dh ${@} -Xjquery.js -Xunderscore.js -X.la

override_dh_auto_build-indep:
	cd doc && sphinx-build -b html . _build/html
	cd doc && sphinx-build -b man . _build/man

	dh_sphinxdoc

execute_after_dh_installdocs-indep:
	mv debian/vapoursynth-doc/usr/share/doc/vapoursynth/* \
	debian/vapoursynth-doc/usr/share/doc/vapoursynth-doc/

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean

override_dh_clean:
	${RM} -rf doc/_build/html
	${RM} -rf doc/_build/man/.doctrees

	dh_clean

=== debian/watch ===
version=4

##opts=uversionmangle=s/-RC(.*)|-test(.*)//g \

https://github.com/vapoursynth/vapoursynth/tags \
(?:.*?/)?R?(\d[\d.]*)@ARCHIVE_EXT@

## vapoursynth-dmo 73

=== debian/changelog ===
vapoursynth-dmo (73-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Nov 2025 09:14:19 +0100

vapoursynth-dmo (72-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jun 2025 17:52:20 +0200

vapoursynth-dmo (71-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Apr 2025 09:06:38 +0200

vapoursynth-dmo (70-dmo3) unstable; urgency=medium

  * vapoursynth don't need to Depends on vapoursynth-ffms2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Mar 2025 18:15:45 +0100

vapoursynth-dmo (70-dmo2) unstable; urgency=medium

  * Build with python 3.13

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 17:07:30 +0100

vapoursynth-dmo (70-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Sep 2024 13:54:05 +0200

vapoursynth-dmo (69-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Jul 2024 15:29:19 +0200

vapoursynth-dmo (68-dmo2) unstable; urgency=medium

  * Build with python 3.12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jun 2024 13:30:01 +0200

vapoursynth-dmo (68-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 May 2024 14:58:43 +0200

vapoursynth-dmo (67-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 May 2024 00:50:15 +0200

vapoursynth-dmo (66-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Mar 2024 11:17:40 +0100

vapoursynth-dmo (66-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Mar 2024 08:15:55 +0100

vapoursynth-dmo (65-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Oct 2023 15:15:57 +0100

vapoursynth-dmo (64-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Sep 2023 09:26:08 +0200

vapoursynth-dmo (63-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Jun 2023 00:24:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.vapoursynth.com/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, cython3 (>= 3.0~),
- pkgconf, libzimg-dev (>= 3.0.5~), python3-dev, dh-sequence-sphinxdoc,
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, cython3, pkgconf,
+ libzimg-dev (>= 3.0.5~), python3-dev (>= 3.12~), dh-sequence-sphinxdoc,
  python3-sphinx, python3-sphinx-rtd-theme,
 
 Package: vapoursynth
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, vapoursynth-ffms2,
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
 Replaces: libvapoursynth3, vapoursynth-python3, libvapoursynth, libvapoursynth-script0, vapoursynth-dev (<< 38-dmo4), vspipe (<= 45.1-dmo2),
 Conflicts: vapoursynth-python3, libvapoursynth, libvapoursynth-script0, vspipe (<= 45.1-dmo2),
 Description: frameserver for the 21st century

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 	dh_sphinxdoc
 
+#	exit 1
+
 execute_after_dh_installdocs-indep:
 	mv debian/vapoursynth-doc/usr/share/doc/vapoursynth/* \
 	debian/vapoursynth-doc/usr/share/doc/vapoursynth-doc/
@@ -18,7 +20,7 @@
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-override_dh_clean:
+override_dh_clean-indep:
 	${RM} -rf doc/_build/html
 	${RM} -rf doc/_build/man/.doctrees
